<template>
  <div class="flex">
    <div>{{ data.name }} {{ data.gender == 0 ? '&#9794;' : '&#9792;' }} {{ data.color }} {{ data.age }} sem.</div>
    <div>
      <button @click="deleteKitten"> X </button>
    </div>
  </div>
</template>

<script>
import { API } from 'aws-amplify';
import { deleteKitten } from '../graphql/mutations';

export default {
  name: 'KittenDisplay',
  props: ['data'],
  methods: {
    async deleteKitten(){
      console.log('a');
      await API.graphql({
        query: deleteKitten,
        variables: { input: {id: this.data.id} }
      });
    },
  }
}
</script>